@echo off
rem To build and install the additional libraries, execute this file in the \agena\src subfolder
rem in a plain NT shell, and not in MinGW.

set gccopts=-Wall -O3 -shared -I. -L. -lagena
rem set offs=-Wno-int-to-pointer-cast -Wno-pointer-to-int-cast

set OLDPATH=%PATH%
set PATH=%PATH%;c:\mingw\bin

echo Buildung ads.
gcc %offs% -O2 -DLUA_BUILD_AS_DLL -c -o ads.o ads.c
gcc -O2 -DLUA_BUILD_AS_DLL -c -o vecoff64.o vecoff64.c
gcc -O2 -shared -static-libgcc -fpic -o ads.dll ads.o vecoff64.o -L. -lagena

echo.
echo Slimming and moving `ads` package.
strip --strip-unneeded ads.dll
copy ads.dll ..\lib >> NUL

echo Installed `ads` library into Agena /lib folder.

del ads.dll

set gccopts=
set PATH=%OLDPATH%
set OLDPATH=