@echo off
rem To build and install the additional libraries, execute this file in the \agena\src subfolder
rem in a plain NT shell, and not in MinGW.

set gccopts=-Wall -O3 -shared -I. -L. -lagena -fgnu89-inline

set OLDPATH=%PATH%
set PATH=%PATH%;c:\mingw\bin

echo Buildung astro.
gcc %gccopts% -o astro.dll astro.c sunriset.c sofa.c moon.c agnhlps.c agnt64.c sdncal.c cephes.c

echo.
echo Slimming and moving `astro` package.
strip --strip-unneeded astro.dll
copy astro.dll ..\lib >> NUL

echo Installed `astro` library into Agena /lib folder.

del astro.dll

set gccopts=
set PATH=%OLDPATH%
set OLDPATH=